## lua-zip 1.2.3

=== Makefile ===
# $Id: Makefile,v 1.10 2006/07/24 01:24:36 tomas Exp $

T= zip
V= 1.2.3
CONFIG= ./config

include $(CONFIG)

ifeq "$(LUA_VERSION_NUM)" "500"
COMPAT_O= $(COMPAT_DIR)/compat-5.1.o
endif

SRCS= src/lua$T.c
OBJS= src/lua$T.o $(COMPAT_O)


lib: src/$(LIBNAME)

src/$(LIBNAME): $(OBJS)
	export MACOSX_DEPLOYMENT_TARGET="10.3"; $(CC) $(CFLAGS) $(LIB_OPTION) -o src/$(LIBNAME) $(OBJS) -lzzip

$(COMPAT_DIR)/compat-5.1.o: $(COMPAT_DIR)/compat-5.1.c
	$(CC) -c $(CFLAGS) -o $@ $(COMPAT_DIR)/compat-5.1.c

install: src/$(LIBNAME)
	mkdir -p $(LUA_LIBDIR)
	cp src/$(LIBNAME) $(LUA_LIBDIR)
	cd $(LUA_LIBDIR); ln -f -s $(LIBNAME) $T.so

clean:
	rm -f $L src/$(LIBNAME) $(OBJS)

=== debian/changelog ===
lua-zip (1.2.3-8) unstable; urgency=low

  * source format 3.0 quilt

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 22 Jul 2011 13:01:26 +0200

lua-zip (1.2.3-7) unstable; urgency=low

  * Bumped standards version to 3.9.2, no changes needed
  * multi-arch (dh >= 8.1.3, lua5.1-policy >= 32)

 -- Enrico Tassi <gareuselesinge@debian.org>  Thu, 21 Jul 2011 11:37:23 +0200

lua-zip (1.2.3-6) unstable; urgency=low

  * Bumped standards version to 3.8.2, no changes needed 
  * build-depend on lua5.1-policy-dev

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 21 Jul 2009 17:47:34 +0200

lua-zip (1.2.3-5) unstable; urgency=low

  * Rebuild against libzzip 0.13.49-4 to fix the crash due to alignement
  * Bumped standards version to 3.7.3, no changes needed

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 06 Apr 2008 19:19:49 +0200

lua-zip (1.2.3-4) unstable; urgency=low

  * Added XS-Vcs-Browser field in control file

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 17 Nov 2007 12:02:24 +0100

lua-zip (1.2.3-3) unstable; urgency=low

  * Updated dependency among zziplib, should pass all tests on all archs

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 12 Nov 2007 20:20:17 +0100

lua-zip (1.2.3-2) unstable; urgency=low

  * rebuilt against libzzip-13 >= 0.13.49-2 (Closes: #439507)
  * Renamed cdbs deprecated variable
  * 

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 25 Aug 2007 12:21:17 +0100

lua-zip (1.2.3-1) unstable; urgency=low

  * New upstream release that does not need patches  

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 19 Jun 2007 10:25:12 +0100

lua-zip (1.2.2-1) unstable; urgency=low

  * Initial release. (Closes: #429250)

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 16 Jun 2007 17:30:35 +0100

=== debian/control ===
Source: lua-zip
Section: interpreters
Priority: optional
Maintainer: Enrico Tassi <gareuselesinge@debian.org>
Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 8.1.3), lua5.1-policy-dev (>= 32), bsdmainutils, libzzip-dev (>= 0.13.49-4), zlib1g-dev
Standards-Version: 3.9.2
Vcs-Svn: svn://svn.debian.org/pkg-lua/packages/lua-zip
Vcs-Browser: http://svn.debian.org/wsvn/pkg-lua/packages/lua-zip/
Homepage: http://www.keplerproject.org/luazip/

Package: liblua5.1-zip0
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Depends: ${shlibs:Depends}
Description: zip library for the Lua language version 5.1
 This package contains the Lua zip library, that allows one to read
 compressed files from the Lua language.

Package: liblua5.1-zip-dev
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Depends: liblua5.1-zip0 (= ${binary:Version})
Section: libdevel
Description: zip development files for the Lua language version 5.1
 This package contains the development files of the Lua zip library,
 useful to create a statically linked binary (like a C application or a
 standalone Lua interpreter).
 Documentation is also shipped within this package.

=== debian/watch ===
# test this watch file using:
# uscan --watchfile debian/watch --upstream-version 0.0.1 --package lua-zip
#
version=3
http://luaforge.net/frs/?group_id=8  /frs/download.php/\d+/luazip-([\d\.]*).tar.gz
